<?php
use WpBookingHotel\Factory;
use WpBookingHotel\Utilities\Utility;
defined('_WPBOOKINGHOTEL_EXEC') or die;
extract($displayData);

$id_by_name = "element_field_" . str_replace(array('[', ']'), '_', $name);
$data = $field->getForm()->getData();
$a_title = $data->def('name');
$fullname = ucwords($data->def('first_name') . ' ' . $data->def('last_name'));
$image = $data->def('image_location_avatar');
$a_title = Utility::clean($a_title);
$a_title = Utility::clean_all_space_to_single_space($a_title);
?>
    <div id="<?php esc_html_e($id_by_name) ?>" class="<?php esc_html_e($class); ?> field-fullimage">
        <div class="wrapper-field-fullimage">
            <div class="header">
                <i class="far fa-plus-square upload"></i>
                <div>
                    <img class="img-fullimage" src="<?php echo (Factory::getRootUrlPlugin()) ?>/<?php echo ($value ? $value : $default) ?>" alt="img-fullimage" />
                </div>
            </div>
            <input type="file" class="upload"  name="<?php esc_html_e($name); ?>" style="display: none"/>
        </div>
    </div>
<?php
$doc = Factory::getDocument();
$doc->addLessStylesheet('admin/app/layouts/WooBooking/form/field/fullimage/fullimage.less');
$doc->addScriptApplySelector(".field-fullimage",'field_fullimage',array(
),'admin/app/layouts/WooBooking/form/field/fullimage/fullimage.jquery.js');